class TaskListSerializer < ApplicationSerializer
  def serialize
    {
        **item_properties(:id, :name, :created_at, :updated_at),
        task_items: TaskItemSerializer.for(item.task_items).serialize
    }
  end
end